ECHO OFF
REM MD_LITE.EXE is a stripped down version of MSHOW.EXE in the
REM interest of minimizing the size of the MakeDemo runtime. It's
REM sole function is to show a series of screens (i.e. full screens:
REM no overlays.) There is no provision for Help at the touch of the
REM F1 key. Seven and only seven key strokes are recognized:
REM
REM     PgUp or
REM       Up Arrow Key      Presents previous screen
REM
REM     PgDn or
REM       Down Arrow Key    Presents next screen
REM
REM     F5                  Toggles between monochrome and color
REM
REM     Return
REM       or Enter          Presents next screen, if it exists, or
REM                           exits with DOS ERRORLEVEL = 0
REM
REM     Esc                 Exits presentation with DOS ERRORLEVEL = 1
REM
REM As with MSHOW.EXE, a presentation can be appended to the end of
REM MD_LITE.EXE to produce a single .EXE executible using
REM WWP_MAKE.EXE. However, serializing copies will not work.
REM
REM MD_LITE is useful for making a front end for other software
REM where a few expository screens would help get the novice users
REM off to a good start. For example, we're going to put up a few
REM screens from such a preliminary file before starting MakeDemo.
MLITE MESSAGE.1ST
IF ERRORLEVEL 1 GOTO END
MDEMO
:END
